package lel.flummi.skilloverlay.api;

import net.minecraft.client.MinecraftClient;

import lel.flummi.skilloverlay.api.records.PlayerProfiles;

import com.google.gson.Gson;
import com.google.gson.GsonBuilder;

import java.io.InputStreamReader;
import java.net.URL;
import java.util.Timer;
import java.util.TimerTask;

public class PlayerProfile {
    public static PlayerProfiles.PlayerProfile PROFILE;

    public static void init() {
        Timer timer = new Timer();
        timer.schedule(new TimerTask() {
            @Override
            public void run() {
                PlayerProfiles profiles = PlayerProfile.updateProfile();

                PlayerProfiles.PlayerProfile currentProfile = profiles.profiles().get("");

                for (PlayerProfiles.PlayerProfile profile: profiles.profiles().values()) {
                    if(profile.current() == true) {
                        currentProfile = profile;
                    }
                }

                PROFILE = currentProfile;
            }
        }, 0, 60 * 1000);
    }

    public static PlayerProfiles updateProfile() {
        try {
            URL url = new URL("https://sky.shiiyu.moe/api/v2/profile/" + MinecraftClient.getInstance().getSession().getUsername());
            InputStreamReader reader = new InputStreamReader(url.openStream());
            Gson gson = new GsonBuilder()
                    .serializeNulls()
                    .create();
            return gson.fromJson(reader, PlayerProfiles.class);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

}
